List Beam Available Sources Handler
curl --request GET \
--url https://api.allium.so/api/v1/beam/sources \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.allium.so/api/v1/beam/sources"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.allium.so/api/v1/beam/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.allium.so/api/v1/beam/sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.allium.so/api/v1/beam/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.allium.so/api/v1/beam/sources")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.allium.so/api/v1/beam/sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"sources": [
{
"chain": "<string>",
"entity": "<string>",
"zerolag": true,
"default_size": "<string>",
"source_type": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Configs
List available sources
Lists the chains and entities available to use as a Beam pipeline source.
GET
/
api
/
v1
/
beam
/
sources
List Beam Available Sources Handler
curl --request GET \
--url https://api.allium.so/api/v1/beam/sources \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.allium.so/api/v1/beam/sources"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.allium.so/api/v1/beam/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.allium.so/api/v1/beam/sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.allium.so/api/v1/beam/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.allium.so/api/v1/beam/sources")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.allium.so/api/v1/beam/sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"sources": [
{
"chain": "<string>",
"entity": "<string>",
"zerolag": true,
"default_size": "<string>",
"source_type": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}GET /api/v1/beam/sources
custom_transforms feature.
Query parameters:
| Parameter | Type | Description |
|---|---|---|
chain | string | Optional. Return only sources for this chain |
entity | string | Optional. Return only sources for this entity |
zerolag | boolean | Optional. Return only zerolag (true) or non-zerolag (false) sources |
curl -X GET https://api.allium.so/api/v1/beam/sources \
-H "X-API-Key: ${ALLIUM_API_KEY}"
{
"sources": [
{
"chain": "ethereum",
"entity": "log",
"zerolag": false,
"default_size": "S",
"source_type": "pubsub"
},
{
"chain": "hyperliquid",
"entity": "order",
"zerolag": false,
"default_size": "M",
"source_type": "kafka"
}
]
}
| Field | Description |
|---|---|
chain | Blockchain identifier. Pass as source.chain when creating a pipeline. |
entity | Entity type. Pass as source.entity when creating a pipeline. |
zerolag | Whether the source emits data before finality |
default_size | Recommended pod_size for pipelines using this source |
source_type | pubsub or kafka. Pass as source.type when creating a pipeline. |
Was this page helpful?